diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/about.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/about.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/about.php	2013-01-24 14:50:28.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/about.php	2013-06-21 12:26:11.000000000 -0500
***************
*** 34,40 ****
  </h2>
  
  <div class="changelog point-releases">
! 	<h3><?php echo _n( 'Maintenance and Security Release', 'Maintenance and Security Releases', 1 ); ?></h3>
  	<p><?php printf( _n( '<strong>Version %1$s</strong> addressed some security issues and fixed %2$s bug.',
           '<strong>Version %1$s</strong> addressed some security issues and fixed %2$s bugs.', 37 ), '3.5.1', number_format_i18n( 37 ) ); ?>
  		<?php printf( __( 'For more information, see <a href="%s">the release notes</a>.' ), 'http://codex.wordpress.org/Version_3.5.1' ); ?>
--- 34,44 ----
  </h2>
  
  <div class="changelog point-releases">
! 	<h3><?php echo _n( 'Maintenance and Security Release', 'Maintenance and Security Releases', 2 ); ?></h3>
! 	<p><?php printf( _n( '<strong>Version %1$s</strong> addressed some security issues and fixed %2$s bug.',
!          '<strong>Version %1$s</strong> addressed some security issues and fixed %2$s bugs.', 12 ), '3.5.2', number_format_i18n( 12 ) ); ?>
! 		<?php printf( __( 'For more information, see <a href="%s">the release notes</a>.' ), 'http://codex.wordpress.org/Version_3.5.2' ); ?>
!  	</p>
  	<p><?php printf( _n( '<strong>Version %1$s</strong> addressed some security issues and fixed %2$s bug.',
           '<strong>Version %1$s</strong> addressed some security issues and fixed %2$s bugs.', 37 ), '3.5.1', number_format_i18n( 37 ) ); ?>
  		<?php printf( __( 'For more information, see <a href="%s">the release notes</a>.' ), 'http://codex.wordpress.org/Version_3.5.1' ); ?>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/edit-form-advanced.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/edit-form-advanced.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/edit-form-advanced.php	2012-12-05 18:41:06.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/edit-form-advanced.php	2013-06-20 21:50:58.000000000 -0500
***************
*** 144,150 ****
  if ( post_type_supports($post_type, 'custom-fields') )
  	add_meta_box('postcustom', __('Custom Fields'), 'post_custom_meta_box', null, 'normal', 'core');
  
! do_action('dbx_post_advanced');
  if ( post_type_supports($post_type, 'comments') )
  	add_meta_box('commentstatusdiv', __('Discussion'), 'post_comment_status_meta_box', null, 'normal', 'core');
  
--- 144,150 ----
  if ( post_type_supports($post_type, 'custom-fields') )
  	add_meta_box('postcustom', __('Custom Fields'), 'post_custom_meta_box', null, 'normal', 'core');
  
! do_action('dbx_post_advanced', $post);
  if ( post_type_supports($post_type, 'comments') )
  	add_meta_box('commentstatusdiv', __('Discussion'), 'post_comment_status_meta_box', null, 'normal', 'core');
  
***************
*** 296,302 ****
  <?php if ( $message ) : ?>
  <div id="message" class="updated"><p><?php echo $message; ?></p></div>
  <?php endif; ?>
! <form name="post" action="post.php" method="post" id="post"<?php do_action('post_edit_form_tag'); ?>>
  <?php wp_nonce_field($nonce_action); ?>
  <input type="hidden" id="user-id" name="user_ID" value="<?php echo (int) $user_ID ?>" />
  <input type="hidden" id="hiddenaction" name="action" value="<?php echo esc_attr( $form_action ) ?>" />
--- 296,302 ----
  <?php if ( $message ) : ?>
  <div id="message" class="updated"><p><?php echo $message; ?></p></div>
  <?php endif; ?>
! <form name="post" action="post.php" method="post" id="post"<?php do_action('post_edit_form_tag', $post); ?>>
  <?php wp_nonce_field($nonce_action); ?>
  <input type="hidden" id="user-id" name="user_ID" value="<?php echo (int) $user_ID ?>" />
  <input type="hidden" id="hiddenaction" name="action" value="<?php echo esc_attr( $form_action ) ?>" />
***************
*** 354,360 ****
  <?php
  }
  
! do_action( 'edit_form_after_title' );
  
  if ( post_type_supports($post_type, 'editor') ) {
  ?>
--- 354,360 ----
  <?php
  }
  
! do_action( 'edit_form_after_title', $post );
  
  if ( post_type_supports($post_type, 'editor') ) {
  ?>
***************
*** 383,398 ****
  </div>
  <?php } ?>
  
! <?php do_action( 'edit_form_after_editor' ); ?>
  </div><!-- /post-body-content -->
  
  <div id="postbox-container-1" class="postbox-container">
  <?php
  
  if ( 'page' == $post_type )
! 	do_action('submitpage_box');
  else
! 	do_action('submitpost_box');
  
  do_meta_boxes($post_type, 'side', $post);
  
--- 383,398 ----
  </div>
  <?php } ?>
  
! <?php do_action( 'edit_form_after_editor', $post ); ?>
  </div><!-- /post-body-content -->
  
  <div id="postbox-container-1" class="postbox-container">
  <?php
  
  if ( 'page' == $post_type )
! 	do_action('submitpage_box', $post);
  else
! 	do_action('submitpost_box', $post);
  
  do_meta_boxes($post_type, 'side', $post);
  
***************
*** 404,412 ****
  do_meta_boxes(null, 'normal', $post);
  
  if ( 'page' == $post_type )
! 	do_action('edit_page_form');
  else
! 	do_action('edit_form_advanced');
  
  do_meta_boxes(null, 'advanced', $post);
  
--- 404,412 ----
  do_meta_boxes(null, 'normal', $post);
  
  if ( 'page' == $post_type )
! 	do_action('edit_page_form', $post);
  else
! 	do_action('edit_form_advanced', $post);
  
  do_meta_boxes(null, 'advanced', $post);
  
***************
*** 414,420 ****
  </div>
  <?php
  
! do_action('dbx_post_sidebar');
  
  ?>
  </div><!-- /post-body -->
--- 414,420 ----
  </div>
  <?php
  
! do_action('dbx_post_sidebar', $post);
  
  ?>
  </div><!-- /post-body -->
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/error_log /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/error_log
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/error_log	2013-04-29 14:17:35.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/error_log	2013-06-25 11:56:39.000000000 -0500
***************
*** 1,48 ****
! [29-Apr-2013 14:11:59] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:12:00] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:12:10] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:13:35] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:13:37] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:13:58] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:14:25] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:14:26] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:14:27] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:14:27] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:14:27] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:14:27] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:14:27] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:14:28] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:14:29] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:14:29] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:14:29] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:14:30] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:14:30] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:14:31] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:14:33] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:14:36] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:14:42] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:14:45] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:14:47] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:14:54] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:14:58] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:14:59] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:15:02] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:15:04] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:15:09] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:15:13] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:15:23] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:15:27] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:15:30] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:15:31] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:15:34] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:15:36] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:16:07] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:16:14] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:16:23] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:17:06] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:17:14] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:17:15] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:17:20] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:17:23] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:17:31] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [29-Apr-2013 14:17:35] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
--- 1,46 ----
! [25-Jun-2013 11:50:08] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:50:09] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:50:09] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:50:19] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:50:27] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:50:29] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:51:21] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:51:30] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:51:31] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:51:31] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:51:31] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:51:31] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:51:32] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:51:33] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:51:33] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:51:33] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:51:33] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:51:34] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:51:34] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:51:35] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:51:36] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:51:36] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:51:36] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:51:38] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:51:39] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:51:45] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:51:51] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:51:54] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:51:56] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:52:01] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:52:53] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:53:37] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:53:48] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:53:54] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:53:57] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:54:17] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:54:22] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:54:24] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:54:42] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:54:44] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:55:15] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:55:25] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:55:46] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:56:37] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:56:37] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
! [25-Jun-2013 11:56:39] PHP Warning:  Xdebug MUST be loaded as a Zend extension in Unknown on line 0
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/includes/class-wp-importer.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-importer.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/includes/class-wp-importer.php	2012-10-04 07:40:09.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-importer.php	2013-06-21 01:12:17.000000000 -0500
***************
*** 183,188 ****
--- 183,189 ----
  
  		$headers = array();
  		$args = array();
+ 		$args['reject_unsafe_urls'] = true;
  		if ( true === $head )
  			$args['method'] = 'HEAD';
  		if ( !empty( $username ) && !empty( $password ) )
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/includes/class-wp-upgrader.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-upgrader.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/includes/class-wp-upgrader.php	2012-09-26 14:57:44.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-upgrader.php	2013-06-21 00:55:56.000000000 -0500
***************
*** 98,104 ****
  					break;
  				default:
  					if ( ! $wp_filesystem->find_folder($dir) )
! 						return new WP_Error('fs_no_folder', sprintf($this->strings['fs_no_folder'], $dir));
  					break;
  			}
  		}
--- 98,104 ----
  					break;
  				default:
  					if ( ! $wp_filesystem->find_folder($dir) )
! 						return new WP_Error( 'fs_no_folder', sprintf( $this->strings['fs_no_folder'], esc_html( basename( $dir ) ) ) );
  					break;
  			}
  		}
***************
*** 1133,1139 ****
  		} elseif ( is_wp_error($errors) && $errors->get_error_code() ) {
  			foreach ( $errors->get_error_messages() as $message ) {
  				if ( $errors->get_error_data() )
! 					$this->feedback($message . ' ' . $errors->get_error_data() );
  				else
  					$this->feedback($message);
  			}
--- 1133,1139 ----
  		} elseif ( is_wp_error($errors) && $errors->get_error_code() ) {
  			foreach ( $errors->get_error_messages() as $message ) {
  				if ( $errors->get_error_data() )
! 					$this->feedback($message . ' ' . esc_html( $errors->get_error_data() ) );
  				else
  					$this->feedback($message);
  			}
***************
*** 1147,1154 ****
  		if ( strpos($string, '%') !== false ) {
  			$args = func_get_args();
  			$args = array_splice($args, 1);
! 			if ( !empty($args) )
  				$string = vsprintf($string, $args);
  		}
  		if ( empty($string) )
  			return;
--- 1147,1157 ----
  		if ( strpos($string, '%') !== false ) {
  			$args = func_get_args();
  			$args = array_splice($args, 1);
! 			if ( $args ) {
! 				$args = array_map( 'strip_tags', $args );
! 				$args = array_map( 'esc_html', $args );
  				$string = vsprintf($string, $args);
+ 			}
  		}
  		if ( empty($string) )
  			return;
***************
*** 1188,1198 ****
  	function after() {
  		$this->plugin = $this->upgrader->plugin_info();
  		if ( !empty($this->plugin) && !is_wp_error($this->result) && $this->plugin_active ){
! 			echo '<iframe style="border:0;overflow:hidden" width="100%" height="170px" src="' . wp_nonce_url('update.php?action=activate-plugin&networkwide=' . $this->plugin_network_active . '&plugin=' . $this->plugin, 'activate-plugin_' . $this->plugin) .'"></iframe>';
  		}
  
  		$update_actions =  array(
! 			'activate_plugin' => '<a href="' . wp_nonce_url('plugins.php?action=activate&amp;plugin=' . $this->plugin, 'activate-plugin_' . $this->plugin) . '" title="' . esc_attr__('Activate this plugin') . '" target="_parent">' . __('Activate Plugin') . '</a>',
  			'plugins_page' => '<a href="' . self_admin_url('plugins.php') . '" title="' . esc_attr__('Go to plugins page') . '" target="_parent">' . __('Return to Plugins page') . '</a>'
  		);
  		if ( $this->plugin_active || ! $this->result || is_wp_error( $this->result ) || ! current_user_can( 'activate_plugins' ) )
--- 1191,1201 ----
  	function after() {
  		$this->plugin = $this->upgrader->plugin_info();
  		if ( !empty($this->plugin) && !is_wp_error($this->result) && $this->plugin_active ){
! 			echo '<iframe style="border:0;overflow:hidden" width="100%" height="170px" src="' . wp_nonce_url('update.php?action=activate-plugin&networkwide=' . $this->plugin_network_active . '&plugin=' . urlencode( $this->plugin ), 'activate-plugin_' . $this->plugin) .'"></iframe>';
  		}
  
  		$update_actions =  array(
! 			'activate_plugin' => '<a href="' . wp_nonce_url('plugins.php?action=activate&amp;plugin=' . urlencode( $this->plugin ), 'activate-plugin_' . $this->plugin) . '" title="' . esc_attr__('Activate this plugin') . '" target="_parent">' . __('Activate Plugin') . '</a>',
  			'plugins_page' => '<a href="' . self_admin_url('plugins.php') . '" title="' . esc_attr__('Go to plugins page') . '" target="_parent">' . __('Return to Plugins page') . '</a>'
  		);
  		if ( $this->plugin_active || ! $this->result || is_wp_error( $this->result ) || ! current_user_can( 'activate_plugins' ) )
***************
*** 1244,1251 ****
  		if ( strpos($string, '%') !== false ) {
  			$args = func_get_args();
  			$args = array_splice($args, 1);
! 			if ( !empty($args) )
  				$string = vsprintf($string, $args);
  		}
  		if ( empty($string) )
  			return;
--- 1247,1257 ----
  		if ( strpos($string, '%') !== false ) {
  			$args = func_get_args();
  			$args = array_splice($args, 1);
! 			if ( $args ) {
! 				$args = array_map( 'strip_tags', $args );
! 				$args = array_map( 'esc_html', $args );
  				$string = vsprintf($string, $args);
+ 			}
  		}
  		if ( empty($string) )
  			return;
***************
*** 1269,1275 ****
  		if ( is_wp_error($error) ) {
  			foreach ( $error->get_error_messages() as $emessage ) {
  				if ( $error->get_error_data() )
! 					$messages[] = $emessage . ' ' . $error->get_error_data();
  				else
  					$messages[] = $emessage;
  			}
--- 1275,1281 ----
  		if ( is_wp_error($error) ) {
  			foreach ( $error->get_error_messages() as $emessage ) {
  				if ( $error->get_error_data() )
! 					$messages[] = $emessage . ' ' . esc_html( $error->get_error_data() );
  				else
  					$messages[] = $emessage;
  			}
***************
*** 1430,1441 ****
  		$from = isset($_GET['from']) ? stripslashes($_GET['from']) : 'plugins';
  
  		if ( 'import' == $from )
! 			$install_actions['activate_plugin'] = '<a href="' . wp_nonce_url('plugins.php?action=activate&amp;from=import&amp;plugin=' . $plugin_file, 'activate-plugin_' . $plugin_file) . '" title="' . esc_attr__('Activate this plugin') . '" target="_parent">' . __('Activate Plugin &amp; Run Importer') . '</a>';
  		else
! 			$install_actions['activate_plugin'] = '<a href="' . wp_nonce_url('plugins.php?action=activate&amp;plugin=' . $plugin_file, 'activate-plugin_' . $plugin_file) . '" title="' . esc_attr__('Activate this plugin') . '" target="_parent">' . __('Activate Plugin') . '</a>';
  
  		if ( is_multisite() && current_user_can( 'manage_network_plugins' ) ) {
! 			$install_actions['network_activate'] = '<a href="' . wp_nonce_url('plugins.php?action=activate&amp;networkwide=1&amp;plugin=' . $plugin_file, 'activate-plugin_' . $plugin_file) . '" title="' . esc_attr__('Activate this plugin for all sites in this network') . '" target="_parent">' . __('Network Activate') . '</a>';
  			unset( $install_actions['activate_plugin'] );
  		}
  
--- 1436,1447 ----
  		$from = isset($_GET['from']) ? stripslashes($_GET['from']) : 'plugins';
  
  		if ( 'import' == $from )
! 			$install_actions['activate_plugin'] = '<a href="' . wp_nonce_url('plugins.php?action=activate&amp;from=import&amp;plugin=' . urlencode( $plugin_file ), 'activate-plugin_' . $plugin_file) . '" title="' . esc_attr__('Activate this plugin') . '" target="_parent">' . __('Activate Plugin &amp; Run Importer') . '</a>';
  		else
! 			$install_actions['activate_plugin'] = '<a href="' . wp_nonce_url('plugins.php?action=activate&amp;plugin=' . urlencode( $plugin_file ), 'activate-plugin_' . $plugin_file) . '" title="' . esc_attr__('Activate this plugin') . '" target="_parent">' . __('Activate Plugin') . '</a>';
  
  		if ( is_multisite() && current_user_can( 'manage_network_plugins' ) ) {
! 			$install_actions['network_activate'] = '<a href="' . wp_nonce_url('plugins.php?action=activate&amp;networkwide=1&amp;plugin=' . urlencode( $plugin_file ), 'activate-plugin_' . $plugin_file) . '" title="' . esc_attr__('Activate this plugin for all sites in this network') . '" target="_parent">' . __('Network Activate') . '</a>';
  			unset( $install_actions['activate_plugin'] );
  		}
  
***************
*** 1670,1673 ****
  
  		return true;
  	}
! }
\ No newline at end of file
--- 1676,1679 ----
  
  		return true;
  	}
! }
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/includes/file.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/file.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/includes/file.php	2012-11-21 16:39:59.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/file.php	2013-06-21 01:12:17.000000000 -0500
***************
*** 328,335 ****
  
  	// Move the file to the uploads dir
  	$new_file = $uploads['path'] . "/$filename";
! 	if ( false === @ move_uploaded_file( $file['tmp_name'], $new_file ) )
! 		return $upload_error_handler( $file, sprintf( __('The uploaded file could not be moved to %s.' ), $uploads['path'] ) );
  
  	// Set correct file permissions
  	$stat = stat( dirname( $new_file ));
--- 328,341 ----
  
  	// Move the file to the uploads dir
  	$new_file = $uploads['path'] . "/$filename";
! 	if ( false === @ move_uploaded_file( $file['tmp_name'], $new_file ) ) {
! 		if ( 0 === strpos( $uploads['basedir'], ABSPATH ) )
! 			$error_path = str_replace( ABSPATH, '', $uploads['basedir'] ) . $uploads['subdir'];
! 		else
! 			$error_path = basename( $uploads['basedir'] ) . $uploads['subdir'];
! 
! 		return $upload_error_handler( $file, sprintf( __('The uploaded file could not be moved to %s.' ), $error_path ) );
! 	}
  
  	// Set correct file permissions
  	$stat = stat( dirname( $new_file ));
***************
*** 452,458 ****
  	// Move the file to the uploads dir
  	$new_file = $uploads['path'] . "/$filename";
  	if ( false === @ rename( $file['tmp_name'], $new_file ) ) {
! 		return $upload_error_handler( $file, sprintf( __('The uploaded file could not be moved to %s.' ), $uploads['path'] ) );
  	}
  
  	// Set correct file permissions
--- 458,468 ----
  	// Move the file to the uploads dir
  	$new_file = $uploads['path'] . "/$filename";
  	if ( false === @ rename( $file['tmp_name'], $new_file ) ) {
! 		if ( 0 === strpos( $uploads['basedir'], ABSPATH ) )
! 			$error_path = str_replace( ABSPATH, '', $uploads['basedir'] ) . $uploads['subdir'];
! 		else
! 			$error_path = basename( $uploads['basedir'] ) . $uploads['subdir'];
! 		return $upload_error_handler( $file, sprintf( __('The uploaded file could not be moved to %s.' ), $error_path ) );
  	}
  
  	// Set correct file permissions
***************
*** 487,493 ****
  	if ( ! $tmpfname )
  		return new WP_Error('http_no_file', __('Could not create Temporary file.'));
  
! 	$response = wp_remote_get( $url, array( 'timeout' => $timeout, 'stream' => true, 'filename' => $tmpfname ) );
  
  	if ( is_wp_error( $response ) ) {
  		unlink( $tmpfname );
--- 497,503 ----
  	if ( ! $tmpfname )
  		return new WP_Error('http_no_file', __('Could not create Temporary file.'));
  
! 	$response = wp_remote_get( $url, array( 'timeout' => $timeout, 'stream' => true, 'filename' => $tmpfname, 'reject_unsafe_urls' => true ) );
  
  	if ( is_wp_error( $response ) ) {
  		unlink( $tmpfname );
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/includes/media.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/media.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/includes/media.php	2013-01-04 22:00:18.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/media.php	2013-06-20 21:50:58.000000000 -0500
***************
*** 2270,2278 ****
   *
   * @since 3.5.0
   */
! function edit_form_image_editor() {
! 	$post = get_post();
! 
  	$open = isset( $_GET['image-editor'] );
  	if ( $open )
  		require_once ABSPATH . 'wp-admin/includes/image-edit.php';
--- 2270,2276 ----
   *
   * @since 3.5.0
   */
! function edit_form_image_editor( $post ) {
  	$open = isset( $_GET['image-editor'] );
  	if ( $open )
  		require_once ABSPATH . 'wp-admin/includes/image-edit.php';
